Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Types | Public Member Functions | List of all members
ranges::equal_to Struct Reference
Functional

## Public Types
using | is_transparent = void

## Public Member Functions
template<typename T , typename U >
constexpr bool | operator() (T &&t, U &&u) const

## Member Function Documentation

## ◆ operator()()

template<typename T , typename U >

constexpr bool ranges::equal_to::operator() | ( | T && | t,
|  | U && | u
| ) |  | const
| constexpr

Precondition
  requires `equality_comparable_with<T, U>`